Package org.apache.sling.jcr.oak.server.internal.index

## Class LuceneIndexRepositoryInitializer

- java.lang.Object
- - org.apache.sling.jcr.oak.server.internal.index.LuceneIndexRepositoryInitializer

All Implemented Interfaces:
  `org.apache.jackrabbit.oak.spi.lifecycle.RepositoryInitializer`

    public class LuceneIndexRepositoryInitializer
    extends Object
    implements org.apache.jackrabbit.oak.spi.lifecycle.RepositoryInitializer

### Field Summary

### Fields inherited from interface org.apache.jackrabbit.oak.spi.lifecycle.RepositoryInitializer

`DEFAULT`

### Constructor Summary

Constructors
`LuceneIndexRepositoryInitializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(@NotNull org.apache.jackrabbit.oak.spi.state.NodeBuilder root)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LuceneIndexRepositoryInitializer

    public LuceneIndexRepositoryInitializer()

### Method Detail

#### initialize

    public void initialize​(@NotNull
                           @NotNull org.apache.jackrabbit.oak.spi.state.NodeBuilder root)

Specified by:
  `initialize` in interface `org.apache.jackrabbit.oak.spi.lifecycle.RepositoryInitializer`